<?php

namespace Openguru\OpenCartFramework\Exceptions;

use Exception;
use Throwable;

class ActionNotFoundException extends Exception implements NonLoggableExceptionInterface
{
    private string $action;

    public function __construct(string $action, $message = "", $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $this->action = $action;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
